<template>
  <v-col cols="12" md="4">
    <div id="entityCard" class="md:flex">
      <nuxt-link :to="entity.link">
        <div id="entityImage" class="md:flex-shrink-0">
          <v-img
            class="rounded-lg md:w-56"
            :src="entity.image"
            :alt="entity.alt"
          />
        </div>
      </nuxt-link>
      <div id="entityInformation" class="mt-4 md:mt-0 md:ml-6">
        <div class="uppercase tracking-wide text-sm text-indigo-600 font-bold">
          {{ entity.title }}
        </div>
        <p class="mt-2 text-gray-600">
          {{ entity.description }}
        </p>
      </div>
    </div>
  </v-col>
</template>

<script>
export default {
  name: 'EntityCard',
  props: {
    entity: {
      type: Object,
      required: true,
    },
  },
}
</script>
